#3675 closed enhancement (fixed)

RSB: Change default prefix to OS prefix + "rtems" + $rtems_version

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: tool/rsb Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The user manual contains this about prefixes:

"A further reason not to use the standard prefix is to allow more than one version of RTEMS to exist on your host machine at a time. The autoconf and automake tools required by RTEMS are not versioned and vary between the various versions of RTEMS. If you use a single prefix such as the standard prefix there is a chance parts from a package of different versions may interact. This should not happen but it can.

For POSIX or Unix hosts, the RTEMS Project uses /opt/rtems as it’s standard prefix. We view this prefix as a production level path, and we prefer to place development versions under a different prefix away from the production versions. Under this top level prefix we place the various versions we need for development. For example the version 4.11.0 prefix would be /opt/rtems/4.11.0. If an update called 4.11.1 is released the prefix would be /opt/rtems/4.11.1. These are recommendations and the choice of what you use is entirely yours. You may decide to have a single path for all RTEMS 4.11 releases of /opt/rtems/4.11."

The default prefix selected by the RSB should take this into account. Use OS prefix + "rtems" + $rtems_version, e.g. on Linux for RTEMS 5: "/opt/rtems/5".

Change History (3)

comment:1 Changed on Jan 17, 2019 at 10:34:30 AM by Sebastian Huber

Owner: set to Sebastian Huber
Status: newaccepted

comment:2 Changed on Jan 22, 2019 at 8:57:44 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: acceptedclosed

In d523d4c/rtems-source-builder:

sb: Change default prefix

Use OS prefix + "rtems" + $rtems_version as the default prefix to
automatically separate different RTEMS versions.

Close #3675.

comment:3 Changed on Feb 18, 2019 at 1:42:25 PM by Sebastian Huber <sebastian.huber@…>

In eae5454/rtems-docs:

user: Rework Prefixes section

Rename it to "Choose an Installation Prefix".

Update #3675.

Note: See TracTickets for help on using tickets.